[Résolu] Erreur Fatale (Créer un compte)

  • WordPress :6.1
  • Statut : résolu
10 sujets de 1 à 10 (sur un total de 10)
  • Auteur
    Messages
  • #2440888
    hpedel
    Participant
    Initié WordPress
    17 contributions

    Bonjour,

    Ma configuration WP actuelle

    • Version de PHP/MySQL : 7.4
    • Thème utilisé : Twenty fourteen
    • Extensions en place :
    • Nom de l’hébergeur : IONOS
    • Adresse du site : http://www.vuedici.org/nocciolino

    Problème(s) rencontré(s) : Erreur Fatale – Impossible d’accéder au tableau de bord

    J’ai souhaité passer du php 7.4 au 8.0. Avant de faire la modification sur mon serveur, j’ai mis à jour toutes mes applications, et wordpress.

    Je suis passé en 8.0, mais voyant que le site affichait une erreur fatale avec le code suivant;

    <b>Fatal error</b>: Uncaught ArgumentCountError: Too few arguments to function WP_Widget::__construct(), 0 passed in /homepages/26/d399047228/htdocs/vuediciWP/nocciolino/wp-includes/class-wp-widget-factory.php on line 62 and at least 2 expected in /homepages/26/d399047228/htdocs/vuediciWP/nocciolino/wp-includes/class-wp-widget.php:163 Stack trace: #0 /homepages/26/d399047228/htdocs/vuediciWP/nocciolino/wp-includes/class-wp-widget-factory.php(62): WP_Widget->__construct() #1 /homepages/26/d399047228/htdocs/vuediciWP/nocciolino/wp-includes/widgets.php(115): WP_Widget_Factory->register(‘Widget_CF7’) #2 /homepages/26/d399047228/htdocs/vuediciWP/nocciolino/wp-content/plugins/widget-contact-form-7/cf7-widget.php(79): register_widget(‘Widget_CF7’) #3 /homepages/26/d399047228/htdocs/vuediciWP/nocciolino/wp-includes/class-wp-hook.php(308): widget_cf7_reg( ») #4 /homepages/26/d399047228/htdocs/vuediciWP/nocciolino/wp-includes/class-wp-hook.php(332): WP_Hook->apply_filters(NULL, Array) #5 /homepages/26/d399047228/htdocs/vuediciWP/nocciolino/wp-includes/plugin.php(517): WP_Hook->do_action(Array) #6 /homepages/26/d399047228/htdocs/vuediciWP/nocciolino/wp-includes/widgets.php(1854): do_action(‘widgets_init’) #7 /homepages/26/d399047228/htdocs/vuediciWP/nocciolino/wp-includes/class-wp-hook.php(308): wp_widgets_init( ») #8 /homepages/26/d399047228/htdocs/vuediciWP/nocciolino/wp-includes/class-wp-hook.php(332): WP_Hook->apply_filters(NULL, Array) #9 /homepages/26/d399047228/htdocs/vuediciWP/nocciolino/wp-includes/plugin.php(517): WP_Hook->do_action(Array) #10 /homepages/26/d399047228/htdocs/vuediciWP/nocciolino/wp-settings.php(617): do_action(‘init’) #11 /homepages/26/d399047228/htdocs/vuediciWP/nocciolino/wp-config.php(89): require_once(‘/homepages/26/d…’) #12 /homepages/26/d399047228/htdocs/vuediciWP/nocciolino/wp-load.php(50): require_once(‘/homepages/26/d…’) #13 /homepages/26/d399047228/htdocs/vuediciWP/nocciolino/wp-blog-header.php(13): require_once(‘/homepages/26/d…’) #14 /homepages/26/d399047228/htdocs/vuediciWP/nocciolino/index.php(17): require(‘/homepages/26/d…’) #15 {main} thrown in <b>/homepages/26/d399047228/htdocs/vuediciWP/nocciolino/wp-includes/class-wp-widget.php</b> on line <b>163</b>

     

    Je suis repassé en 7.4, cependant, même aprés ça, j’ai toujours le même code d’erreur meme aprés avoir vider le cache du navigateur..

    Comment je peux faire, pour résoudre cette erreur, et pour réussir à passer en php8.1 ?

    Merci de votre aide!!

     

    #2440895
    mathieu42
    Participant
    Maître WordPress
    2010 contributions

    le message d’erreur vient de cette extension :

    Widget Contact Form 7

    vous pouvez la désactiver et utiliser un shortcode pour mettre un formulaire dans la sidebar, vous n’avez plus besoin d’extension pour faire cela.

    par contre, wordpress n’est pas encore entièrement prêt pour php 8.1 et idem pour beaucoup d’extensions donc je vous conseille de mettre php 8.0.

     

    #2440904
    hpedel
    Participant
    Initié WordPress
    17 contributions

    Merci pour votre réponse, et toutes vos infos.

    j’ai pu désactiver contact form et widget contact form, mais j’ai encore cette erreur dés que je repasse en php 8.0 …

    #2440909
    mathieu42
    Participant
    Maître WordPress
    2010 contributions

    alors vous avez un souci de cache parce que le message d’erreur indique bien que le souci vient de cette extension.

     

    #2440965
    hpedel
    Participant
    Initié WordPress
    17 contributions

    Re merci,

    J’avais en effet un souci de cache, le plugin que j’avais ne le vidait visiblement pas, j’ai réinstallé une nouvelle extension, et aprés purge, le message à disparu et j’ai pu passer en php8.0 😉

    Un GRAND merci pour votre aide!!

     

    #2462155
    Maison de Begon
    Participant
    Initié WordPress
    3 contributions

    Bonjour,

    en voulant installer un plugin sur mon wordpress j’ai eu ce message qui s’est affiché…. et plus rien en ligne !!! <span class= »x1xsqp64 xiy17q3 x1o6pynw x19co3pv xdj266r xcwd3tp xat24cr x39eecv x2b8uid » data-testid= »emoji »><span class= »xexx8yu xn5pp95 x18d9i69 x2fxd7x x1yqt14a x1bhl96m »>????</span></span><span class= »x1xsqp64 xiy17q3 x1o6pynw x19co3pv xdj266r xcwd3tp xat24cr x39eecv x2b8uid » data-testid= »emoji »><span class= »xexx8yu xn5pp95 x18d9i69 x2fxd7x x1yqt14a x1bhl96m »>????</span></span><span class= »x1xsqp64 xiy17q3 x1o6pynw x19co3pv xdj266r xcwd3tp xat24cr x39eecv x2b8uid » data-testid= »emoji »><span class= »xexx8yu xn5pp95 x18d9i69 x2fxd7x x1yqt14a x1bhl96m »>????</span></span><span class= »x1xsqp64 xiy17q3 x1o6pynw x19co3pv xdj266r xcwd3tp xat24cr x39eecv x2b8uid » data-testid= »emoji »><span class= »xexx8yu xn5pp95 x18d9i69 x2fxd7x x1yqt14a x1bhl96m »>????</span></span><span class= »x1xsqp64 xiy17q3 x1o6pynw x19co3pv xdj266r xcwd3tp xat24cr x39eecv x2b8uid » data-testid= »emoji »><span class= »xexx8yu xn5pp95 x18d9i69 x2fxd7x x1yqt14a x1bhl96m »>????</span></span>

    <b>Fatal error</b>: Access level to Hizzle\Noptin\Bulk_Emails\Main::__construct() must be public (as in class Hizzle\Noptin\Core\Bulk_Task_Runner) in <b>/home/maisondek/www/wordpress/wp-content/plugins/newsletter-optin-box/src/Bulk_Emails/Main.php</b> on line <b>16</b>

    Quelqu’un peut-il m’aider stp ?

    Merci de votre aide <span class= »x1xsqp64 xiy17q3 x1o6pynw x19co3pv xdj266r xcwd3tp xat24cr x39eecv x2b8uid » data-testid= »emoji »><span class= »xexx8yu xn5pp95 x18d9i69 x2fxd7x x1yqt14a x1bhl96m »>????</span></span><span class= »x1xsqp64 xiy17q3 x1o6pynw x19co3pv xdj266r xcwd3tp xat24cr x39eecv x2b8uid » data-testid= »emoji »><span class= »xexx8yu xn5pp95 x18d9i69 x2fxd7x x1yqt14a x1bhl96m »>????</span></span><span class= »x1xsqp64 xiy17q3 x1o6pynw x19co3pv xdj266r xcwd3tp xat24cr x39eecv x2b8uid » data-testid= »emoji »><span class= »xexx8yu xn5pp95 x18d9i69 x2fxd7x x1yqt14a x1bhl96m »>????</span></span>

    #2462162
    ferman
    Participant
    Maître WordPress
    6940 contributions

    Bonjour,

    Pouvez-vous ouvrir votre propre sujet s’il vous plait, avec un titreplus précis que « erreur fatale »? Ce sera plus clair. Le problème est arrivé en téléchargeant  le plugin WordPress Newsletter Plugin – Noptin je suppose. Vous confirmez qu’il ne s’agit pas d’une mise à jour de l’extension mais d’une nouvelle installation? Pouvez-vous vérifier chez OVH, dans votre hébergement, quelle est la version php de votre site?

    Je vois que vous avez retrouvé votre site. Comment avez-vous résolu le problème? Merci.

    • Cette réponse a été modifiée le il y a 6 mois et 1 semaine par ferman.
    #2462174
    Maison de Begon
    Participant
    Initié WordPress
    3 contributions

    Bonjour,

    Oui c’était en installant le plugin Noptin… du coup pour résoudre le problème et récupérer mon site je suis aller sur le ftp du site via mon hébergeur et j’ai supprimer le dossier du plugin qui posait problème.

    Il s’agissait bien d’une nouvelle installation et non d’une mise à jour 😉

    Merci Ferman pour votre retour !!

    J’en profite pour vous poser une autre question : je suis embêté avec les newsletter (d’où les problèmes…) j’ai l’impression d’avoir un soucis de php : sur mon hébergeur OVH je ne parviens pas à aller au delà de la version 7 … et j’ai l’impression que mon plugin newsletter que j’utilisais avant et qui fonctionnait très bien (celui avec la petite enveloppe rouge) qui est en version 8.0.0 n’est plus pris en compte…!!

    Un grand MERCI pour votre aide !

    #2462182
    ferman
    Participant
    Maître WordPress
    6940 contributions

    sur mon hébergeur OVH je ne parviens pas à aller au delà de la version 7

    Normalement, chez OVH, on peut aller jusqu’à 8+. Au dessus de la fenêtre permettant de sélectionner les versions php (jusqu’à 7.4), il y en a une autre dans laquelle il faut sélectionner « environnement: stable 64 » ce qui ouvre l’accès aux versions supérieures à 7.4. Il se peut aussi que vous ayez à la racine de votre site un fichier ovh config  qui indique une version 7. Il a priorité sur les fenêtres et c’est lui qu’il faudra  modifier.

    #2462205
    Maison de Begon
    Participant
    Initié WordPress
    3 contributions

    oui j’avais repéré sous la fenêtre le module « environnement stable 64 », mais du coup lorsque je le sélectionne, cela modifie la mise en page de mon site internet…. donc je dois revoir tout ça…

    Merci pour le tuyau du fichier ovh config 😉 je pense que cela me sera utile !!

    Un grand MERCI pour votre aide !

10 sujets de 1 à 10 (sur un total de 10)
  • Vous devez être connecté pour répondre à ce sujet.